import { Component, OnInit } from '@angular/core';
import { PostService } from '../post.service';

@Component({
	selector: 'app-timeline',
	templateUrl: './timeline.component.html',
	styleUrls: ['./timeline.component.css']
})
export class TimelineComponent implements OnInit {
	posts: any;

	constructor( private postService: PostService ) { }

	ngOnInit() {
		this.getAllPostsFromService();
	}

	async getAllPostsFromService() {
		const posts = await this.postService.getAllPosts();
		this.posts = posts;
		console.log(posts);
	}

}
