import { Injectable } from '@angular/core';
import { HttpClient, HttpParams } from '@angular/common/http';

@Injectable({
	providedIn: 'root'
})

export class PostService {

	constructor( private http: HttpClient ) {}

	getAllPosts() {
		return this.http.get('/api/post/all').toPromise();
	}

	postPost(messageBody, githubId = 'j-n000') {
		this.http.post(`/api/post/${githubId}/new-post`, { body: messageBody }).toPromise();
	}
}
