import { Component, OnInit } from '@angular/core';
import { HttpClient, HttpParams, HttpHeaders } from '@angular/common/http';
import { PostService } from '../../post.service';

@Component({
	selector: 'app-status',
	templateUrl: './status.component.html',
	styleUrls: ['./status.component.css']
})
export class StatusComponent implements OnInit {
	sender = 'Origin'; // pull web3.address
	body: string;

	constructor(
		private http: HttpClient,
		private postService: PostService
	) { }

	ngOnInit() {
	}

	async submit() {
		const response = await this.postService.postPost(this.body);
	}
}
